package com.mosty.yjzl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.yjzl.TbYjxx;
import com.mosty.base.model.query.yjzl.TbYjxxSjQuery;
import com.mosty.base.model.vo.yjzl.TbYjxxSjVo;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * <p>
 * 预警信息-事件表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
public interface TbYjxxSjService {

    @ApiOperation("分页查询预警事件")
    IPage<TbYjxxSjVo> queryByPage(TbYjxxSjQuery tbYjxxSjQuery);

    @ApiOperation("不分页查询预警事件-人员表")
    List<TbYjxxSjVo> queryList(TbYjxxSjQuery tbYjxxSjQuery);

    @ApiOperation("新增预警事件")
    int insert(TbYjxxSjVo sjVo);

    @ApiOperation("修改预警事件-人员表")
    int update(TbYjxxSjVo sjVo);

    @ApiOperation("根据ID删除")
    int deleteById(List<String> list);

    @ApiOperation("根据ID查询")
    TbYjxxSjVo queryById(String id);

    @ApiOperation("添加事件预警信息")
    void addEntity(TbYjxx yjxx, String sjFl, String sjFlmc);
}
